%global _description %{expand:
A set of pytest plugins for Jupyter libraries and extensions.}

Summary:        A pytest plugin for testing Jupyter libraries and extensions
Name:           python-pytest-jupyter
Version:        0.10.1
Release:        1%{?dist}
License:        BSD-3-Clause AND MIT
URL:            https://jupyter.org
Source0:        %{pypi_source pytest_jupyter}

BuildRequires:  python3-devel
BuildArch:      noarch


%description %_description

%package -n     python3-pytest-jupyter
Summary:        A pytest plugin for testing Jupyter libraries and extensions

%description -n python3-pytest-jupyter %_description

%package -n python3-pytest-jupyter+server
Summary: Metapackage for python3-pytest-jupyter: server extras
Requires: python3-pytest-jupyter = %{version}-%{release}

%description -n python3-pytest-jupyter+server
This is a metapackage bringing in server extras requires for
python3-pytest-jupyter.
It makes sure the dependencies are installed.

%package -n python3-pytest-jupyter+client
Summary: Metapackage for python3-pytest-jupyter: client extras
Requires: python3-pytest-jupyter = %{version}-%{release}

%description -n python3-pytest-jupyter+client
This is a metapackage bringing in client extras requires for
python3-pytest-jupyter.
It makes sure the dependencies are installed.

%prep
%autosetup -p1 -n pytest_jupyter-%{version}


%generate_buildrequires
%pyproject_buildrequires -x client


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_jupyter


%files -n python3-pytest-jupyter -f %{pyproject_files}
%doc README.md

%files -n python3-pytest-jupyter+server
%ghost %{python3_sitelib}/pytest_jupyter-%{version}.dist-info

%files -n python3-pytest-jupyter+client
%ghost %{python3_sitelib}/pytest_jupyter-%{version}.dist-info

%changelog
* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 0.10.1-1
- initial build
